# Generated from wixgem-0.112.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wixgem

Name: rubygem-%{gem_name}
Version: 0.112.0
Release: 1%{?dist}
Summary: Simple Ruby interface to facilitate working with Wix Toolset
License: MIT
URL: http://rubygems.org/gems/wixgem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec) < 1
# BuildRequires: rubygem(raykit)
# BuildRequires: rubygem(raykit) < 1
# BuildRequires: rubygem(win32-service)
# BuildRequires: rubygem(win32-service) < 1
# BuildRequires: rubygem(WindowsInstaller) >= 0.1.25
# BuildRequires: rubygem(WindowsInstaller) < 0.2
# BuildRequires: rubygem(ocra)
# BuildRequires: rubygem(ocra) < 1
BuildArch: noarch

%description
Simple Ruby interface to facilitate creating and compiling windows
installation files with the Wix Toolset.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Fri Jul 07 2023 mockbuilder - 0.112.0-1
- Initial package
